#include <stdio.h>

int main(void) {
  int n,k,i=0;
  scanf("%d",&n);
  int mtrx[n];
  while(i<n){
    scanf("%d",&mtrx[i]);
    i++;
  }
  k=n-2;
  i=0;
  while(i<n-1){
    if(mtrx[i]<mtrx[i+1]){
      mtrx[i]= mtrx[i] + mtrx[i+1];
      mtrx[i+1] = mtrx[i]-mtrx[i+1];
      mtrx[i] = mtrx[i]-mtrx[i+1];
      i=0;
      while(i<n){
        printf("%d ",mtrx[i]);
        i++;
      }
      return 0;
    }
    else if(mtrx[i]==mtrx[i-1])
      k=i-1;

    i++;
  }
  mtrx[k]= mtrx[k] + mtrx[k+1];
  mtrx[k+1] = mtrx[k]-mtrx[k+1];
  mtrx[k] = mtrx[k]-mtrx[k+1];
  i=0;
  while(i<n){
    printf("%d ",mtrx[i]);
    i++;
  }
  return 0;
}